<mat-toolbar class="position-absolute">
    <mat-icon class="pointer" aria-hidden="false" aria-label="Example home icon" *ngIf="!isDrawer"
        (click)="openDrawer()">menu
    </mat-icon>
    <!-- <span class="ml-2">My App</span> -->
    <span class="profile_img"><img src="./assets/img/profile.png" alt="user_image"> <span class="name-wrap">{{userName}}</span> 
        <mat-icon class="pointer right-menu-icon" aria-hidden="false" [matMenuTriggerFor]="menu"
            aria-label="Example home icon">more_vert
        </mat-icon>
    </span>

    <mat-menu #menu="matMenu">
        <button mat-menu-item>
            <mat-icon>settings</mat-icon>
            <span>Setting</span>
        </button>
        <a *ngIf="!isLoggedIn" routerLink="/auth" mat-menu-item>
            <mat-icon>lock_open</mat-icon>
            <span>Sign In</span>
        </a>
        <a *ngIf="!isLoggedIn" routerLink="/auth/register" mat-menu-item>
            <mat-icon>save</mat-icon>
            <span>Sign Up</span>
        </a>
        <button *ngIf="isLoggedIn" mat-menu-item (click)="Logout()">
            <mat-icon>exit_to_app</mat-icon>
            <span>Logout</span>
        </button>
    </mat-menu>
</mat-toolbar>